## org.springframework.dao
Class InvalidDataAccessApiUsageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.InvalidDataAccessApiUsageException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JdoUsageException, SqlXmlFeatureNotImplementedException

    public class InvalidDataAccessApiUsageException

extends NonTransientDataAccessException

Exception thrown on incorrect usage of the API, such as failing to "compile" a query object that needed compilation before execution.

This represents a problem in our Java data access framework, not the underlying data access infrastructure.

Author:
  Rod Johnson
See Also:
  Serialized Form

Constructor Summary
`InvalidDataAccessApiUsageException(String msg)` Constructor for InvalidDataAccessApiUsageException.
`InvalidDataAccessApiUsageException(String msg, Throwable cause)` Constructor for InvalidDataAccessApiUsageException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidDataAccessApiUsageException

    public InvalidDataAccessApiUsageException(String msg)

  Constructor for InvalidDataAccessApiUsageException.

  Parameters:
    `msg` - the detail message

### InvalidDataAccessApiUsageException

    public InvalidDataAccessApiUsageException(String msg,
                                              Throwable cause)

  Constructor for InvalidDataAccessApiUsageException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the data access API in use

Copyright © 2002-2008 The Spring Framework.